function [q1,q2,q3,z1,z2,z3,s1,s2] = calc(Y)
% coordiate transformation into shape space coordinates and stereographic
% projection;

    %transformation of the coordinates to plot them on the shape space
    q1 = Y(1:2); q2 = Y(5:6); q3 = Y(9:10);
    Q  = [q1; q2; q3]; K = [1/sqrt(2),-1/sqrt(2),0; 1/sqrt(6),1/sqrt(6),-2/sqrt(6)]*Q;
    M = K*K'; R= sqrt(M(1)+M(4));
    z1 = 2*M(2)/R^2;
    z2 = 2*det(K)/R^2;
    z3 = (M(4)-M(1))/R^2;
    % transformation for the stereographic projection
    s1 = 2*z1/(1-z3); s2 = -z2/(1-z3);
    
end

